from abc import ABC, abstractmethod

class BaseEngine(ABC):
    @abstractmethod
    def __init__(self):
        pass
    
    # 语音合成
    # @param text: 待合成的文本
    # @param tts_info: 包含语音合成参数的字典
    # @return: 合成后的音频文件（字节流）
    @abstractmethod
    def synthesize(self, text:str, tts_info:dict) -> bytes:
        pass